Squeeze Installer und RTL8111/8168B NICs

01/03/2011 - 06:10 von Friedemann Stoyan | Report spam
Guten Morgen,

ich habe das Problem, dass der aktuelle Squeeze Installer
nicht mit RTL8111/8168B zusammenarbeitet. Dazu gibt es:

http://bugs.debian.org/603673
http://bugs.debian.org/611954

Problem: Die Firmware wird nicht geladen, obwohl explizit dem
Installer mitgegeben und auch in /lib/firmware/rtl_nic/ vorhanden.
Nun habe ich ich spaßeshalber mal gelinkt:

cd /lib/firmware/
ln -s rtl_nic/rtl8168d-1.fw
ln -s rtl_nic/rtl8168d-2.fw
modprobe -r r8169
modprobe r8169

Und plötzlich wird die Firmware geladen, alles scheint gut. Aber nur
bis zur ersten Benutzung des NICs, dann "hàngt" es und gibt einen
Kerneldump.

Nun könnte man denken, dass die HW kaputt ist. Ist sie nicht.
SystemRescueCD und der Lenny Installer laufen ohne Mucken. Oder man
könnte denken das r8169.ko sei kaputt. Ist es nicht. Auf einer
anderen HW làuft es unter Squeeze völlig problemlos. Allerdings
wurde diese auch nicht mit dem aktuellen Installer installiert.

Alles in allem habe ich den Eindruck, dass der Squeeze Installer
für RTL8111/8168B NICs völlig defekt ist. Mir ist unklar, wieso
der korrespondierende Bugreport geschlossen wurde.

Hat irgendjemand auf der Welt mit dem aktuellen Installer und
RTL8111/8168B NICs jemals ein System installieren können?

mfg Friedemann
 

Lesen sie die antworten

#1 Sven Joachim
01/03/2011 - 07:48 | Warnen spam
Am 01.03.2011 um 06:10 schrieb Friedemann Stoyan:

Guten Morgen,

ich habe das Problem, dass der aktuelle Squeeze Installer
nicht mit RTL8111/8168B zusammenarbeitet. Dazu gibt es:

http://bugs.debian.org/603673
http://bugs.debian.org/611954



http://bugs.debian.org/596390 ist der Originalbericht.

Alles in allem habe ich den Eindruck, dass der Squeeze Installer
für RTL8111/8168B NICs völlig defekt ist. Mir ist unklar, wieso
der korrespondierende Bugreport geschlossen wurde.



Der Installer in Debian 6.0 verwendet leider noch den Kernel 2.6.32-29,
wàhrend der Fehler erst in 2.6.32-30 behoben wurde. Das nàchste
Pointrelease (6.0.1) wird einen aktualisierten Installer mitbringen.

Sven

Ähnliche fragen